Skip to main content
GET
Get tax payments

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json

Path Parameters

businessId
string<uuid>
required

The UUID of the business

Query Parameters

year
integer<int32>
required

The tax year (e.g., 2025). Supported years: 2024-2026.

reporting_basis
enum<string>
default:CASH

The accounting basis for reporting. Defaults to the business's default reporting basis, or CASH if not set.

Available options:
ACCRUAL,
CASH
full_year_projection
boolean
default:false

Whether to project income/expenses for the full year based on year-to-date data. Only applicable for the current year. Defaults to true.

Response

Tax payments for the specified year

Quarterly tax payment history and tracking.

type
string

Resource type.

Example:

"Tax_Payments"

year
integer<int32>

The tax year for these payments.

Example:

2025

quarters
object[]

Quarterly payment breakdown.